package com.gic.haoban.manage.api.dto.licence;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public class AppOrderNoticeDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 弹窗类型  0 无需弹窗 1 未购买付费应用弹窗  2付费应用已过期弹窗 3 查询购买许可账号是否存在未支付订单
     */
    private Integer type;
    /**
     * 是否支付 0否 1是
     */
    private Integer payFlag;
    /**
     * 未支付订单id
     */
    private String orderId;
    /**
     * 支付的url
     */
    private String orderUrl;
    /**
     * 到期时间
     */
    private Date endTime;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(Integer payFlag) {
        this.payFlag = payFlag;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderUrl() {
        return orderUrl;
    }

    public void setOrderUrl(String orderUrl) {
        this.orderUrl = orderUrl;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
